field_indirect_const< T, M >

## Classes

class | const_iterator

## Public Types

typedef field_basic< T, M >::size_type | size_type
typedef T | scalar_type
typedef T | value_type
typedef M | memory_type

## Public Member Functions

| field_indirect_const (const field_basic< T, M > &uh, const geo_basic< T, M > &dom)
| field_indirect_const (field_indirect< T, M > gh)
const distributor & | ownership () const
const communicator & | comm () const
size_type | ndof () const
size_type | dis_ndof () const
std::string | name () const
space_basic< T, M > | get_space () const
bool | have_homogeneous_space (space_basic< T, M > &Xh) const
const T & | dof (size_type idof) const
const_iterator | begin_dof () const
const_iterator | end_dof () const

## Protected Attributes

space_basic< T, M > | _V
space_basic< T, M > | _W
geo_basic< T, M > | _dom
disarray< size_type, M > | _indirect
field_basic< T, M >::const_iterator | _val

## Detailed Description

### template<class T, class M = rheo_default_memory_model>
class rheolef::field_indirect_const< T, M >

Definition at line 205 of file field.h.

## Member Typedef Documentation

## size_type

typedef field_basic<T,M>::size_type size_type

Definition at line 272 of file field_indirect.h.

## scalar_type

typedef T scalar_type

Definition at line 273 of file field_indirect.h.

## value_type

typedef T value_type

Definition at line 274 of file field_indirect.h.

## memory_type

typedef M memory_type

Definition at line 275 of file field_indirect.h.

## Constructor & Destructor Documentation

## field_indirect_const() [1/2]

field_indirect_const | ( | const field_basic< T, M > & | uh,
|  | const geo_basic< T, M > & | dom
| ) |  |

Definition at line 280 of file field_indirect.h.

## field_indirect_const() [2/2]

field_indirect_const | ( | field_indirect< T, M > | gh | ) |

Definition at line 288 of file field_indirect.h.

## Member Function Documentation

## ownership()

const distributor& ownership | ( |  | ) | const

Definition at line 299 of file field_indirect.h.

## comm()

const communicator& comm | ( |  | ) | const

Definition at line 300 of file field_indirect.h.

## ndof()

size_type ndof | ( |  | ) | const

Definition at line 301 of file field_indirect.h.

## dis_ndof()

size_type dis_ndof | ( |  | ) | const

Definition at line 302 of file field_indirect.h.

## name()

std::string name

Definition at line 323 of file field_indirect.h.

## get_space()

space_basic<T,M> get_space | ( |  | ) | const

Definition at line 304 of file field_indirect.h.

## have_homogeneous_space()

bool have_homogeneous_space | ( | space_basic< T, M > & | Xh | ) | const

Definition at line 305 of file field_indirect.h.

## dof()

const T& dof | ( | size_type | idof | ) | const

Definition at line 307 of file field_indirect.h.

## begin_dof()

field_indirect_const< T, M >::const_iterator begin_dof

Definition at line 376 of file field_indirect.h.

## end_dof()

field_indirect_const< T, M >::const_iterator end_dof

Definition at line 383 of file field_indirect.h.

## Member Data Documentation

## _V

space_basic<T,M> _V

protected

Definition at line 313 of file field_indirect.h.

## _W

space_basic<T,M> _W

protected

Definition at line 314 of file field_indirect.h.

## _dom

geo_basic<T,M> _dom

protected

Definition at line 315 of file field_indirect.h.

## _indirect

disarray<size_type,M> _indirect

protected

Definition at line 316 of file field_indirect.h.

## _val

field_basic<T,M>::const_iterator _val

protected

Definition at line 317 of file field_indirect.h.

The documentation for this class was generated from the following files:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field.h
- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field_indirect.h